'use strict';

var _chai = require('chai');

var _chai2 = _interopRequireDefault(_chai);

var _chaiSpies = require('chai-spies');

var _chaiSpies2 = _interopRequireDefault(_chaiSpies);

var _api = require('api');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

_chai2['default'].use(_chaiSpies2['default']);

describe('api', function () {
  context('fetchNotifications', function () {
    it('fetches the list of probes for the current user from the API', function () {
      var getSpy = _chai2['default'].spy();
      var httpClient = { get: getSpy };

      _api.api.fetchNotifications(httpClient);

      (0, _chai.expect)(getSpy).to.have.been.called['with']('/probes');
    });
  });
});