'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _blockClassNameModifier = require('crowdlab-js-utils/dist/blockClassNameModifier');

var _blockClassNameModifier2 = _interopRequireDefault(_blockClassNameModifier);

require('./NotificationItemLayout.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationItemLayout = function NotificationItemLayout(_ref) {
  var menuIsOpen = _ref.menuIsOpen;
  var children = _ref.children;
  return _react2['default'].createElement(
    'div',
    {
      className: (0, _blockClassNameModifier2['default'])(menuIsOpen, 'notifications-menu-dropdown'),
      'data-role': 'notifications-menu'
    },
    _react2['default'].createElement(
      'span',
      { className: (0, _blockClassNameModifier2['default'])(menuIsOpen, 'notifications-menu-dropdown__heading') },
      'Notifications'
    ),
    children
  );
};

NotificationItemLayout.propTypes = {
  children: _react.PropTypes.node.isRequired,
  menuIsOpen: _react.PropTypes.bool
};

exports['default'] = NotificationItemLayout;