'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _chai = require('chai');

var _chai2 = _interopRequireDefault(_chai);

var _chaiEnzyme = require('chai-enzyme');

var _chaiEnzyme2 = _interopRequireDefault(_chaiEnzyme);

var _enzyme = require('enzyme');

var _NotificationItemLayout = require('./NotificationItemLayout');

var _NotificationItemLayout2 = _interopRequireDefault(_NotificationItemLayout);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

_chai2['default'].use((0, _chaiEnzyme2['default'])());

describe('NotificationItemLayout', function () {
  it('renders supplied children', function () {
    var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
      _NotificationItemLayout2['default'],
      null,
      _react2['default'].createElement(
        'div',
        { 'data-role': 'test-child' },
        'test'
      )
    ));

    var child = wrapper.find('[data-role="test-child"]');

    (0, _chai.expect)(child).to.be.present();
    (0, _chai.expect)(child).to.have.text('test');
  });
});