'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./NotificationsBell.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/* eslint max-len: ["error", {
 "code": 100,
 "ignorePattern": "<path\b[^>]*>(?:(.|\r?\n)*?)<\/path>"
 }]
*/
var NotificationsBell = function NotificationsBell(_ref) {
  var hasNotifications = _ref.hasNotifications;
  return _react2['default'].createElement(
    'span',
    { className: 'notifications-bell' },
    hasNotifications && _react2['default'].createElement('span', {
      className: 'notifications-bell__badge',
      'data-role': 'badge'
    }),
    _react2['default'].createElement(
      'svg',
      {
        className: 'notifications-bell__icon',
        'data-role': 'icon',
        x: '0px',
        y: '0px',
        viewBox: '0 0 16 16'
      },
      _react2['default'].createElement('path', { d: 'M8,16c0.9,0,1.6-0.7,1.6-1.6H6.4C6.4,15.3,7.1,16,8,16z M12.9,11.1V7c0-2.5-1.3-4.6-3.7-5.2V1.2C9.2,0.5,8.7,0,8,0S6.8,0.5,6.8,1.2v0.6C4.4,2.3,3.1,4.4,3.1,7v4.1l-1.6,1.6v0.8h13.1v-0.8L12.9,11.1z' })
    )
  );
};

NotificationsBell.propTypes = {
  hasNotifications: _react.PropTypes.bool.isRequired
};

exports['default'] = NotificationsBell;