"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var NotificationsLayout = function NotificationsLayout(props) {
  return _react2["default"].createElement(
    "ul",
    { className: "notifications-menu-dropdown__menu", role: "menu", "data-role": "notifications-menu" },
    _react2["default"].createElement(
      "li",
      { className: "notifications-menu-dropdown__heading-item" },
      _react2["default"].createElement(
        "h4",
        { className: "notifications-menu-dropdown__heading" },
        "Notifications"
      )
    ),
    props.children
  );
};

NotificationsLayout.propTypes = {
  children: _react.PropTypes.node.isRequired
};

exports["default"] = NotificationsLayout;